
// Author Zecronious
// Date 30/08/2013
//-------------------

// Area Definition
//-------------------

Area
	var
		// Descriptives
		//-------------------
		name
		description

		// Contents
		//-------------------
		list/monsters = list() // Ecounterable monsters
		list/armor = list()    // ..
		list/weapons = list()  // ..
		list/treasure = list() // ..
		list/avatars = list()  // List of player avatars in the Area

// Instance Types
//-------------------

	Darkwood_Forest

		name = "Darkwood Forest"
		description = "Home to the Forgotten Tower and other mystical structures. Prepare to fight the local population of monsters that roam the forest."

		New()

			monsters.Add(new/Monster/Troll)
			monsters.Add(new/Monster/Ogre)
			monsters.Add(new/Monster/Imp)
			monsters.Add(new/Monster/Giant_Rat)


			treasure.Add(new/Treasure/Golden_Amulet)
			treasure.Add(new/Treasure/Emerald_Ring)

	Forgotten_Tower

		name = "Forgotten Tower"
		description = "This tower has been worn down over the ages, it collects dust and shelters ghouls."

		New()

			monsters.Add(new/Monster/Demon)
			monsters.Add(new/Monster/Flesh_Eater)
			monsters.Add(new/Monster/Zombie)
			monsters.Add(new/Monster/Imp)

			treasure.Add(new/Treasure/Golden_Amulet)
			treasure.Add(new/Treasure/Diamond_Ring)
			treasure.Add(new/Treasure/Saphire_Ring)
			treasure.Add(new/Treasure/Emerald_Ring)