
// Author Zecronious
// Date 31/08/2013
//-------------------

// The Player
//-------------------

mob
	var
		Avatar/avatar
		saveDir = ""
		baseDamage = 8

	// Player enters the game
	Login()

		Title_Screen() // Display the titlescreen

		Add_New_Avatar() // Give the player an avatar
		Add_Player(name) // Add the player to the online list

		avatar.Default_Screen() // Just send the default situation for now
		Room_Details_Out(avatar.location) // Display the current room's details in it's window

		winset(src,"main.input","focus = true")

	proc
		// Setup the players avatar ready for use
		Add_New_Avatar()

			saveDir = "Save Files/[copytext(ckey,1,2)]/[ckey]/avatar.sav"
			if(!fexists(saveDir))
				avatar = new/Avatar // Create the avatar
				avatar.damage = baseDamage // Setup their base damage.
				avatar.Move_To(theWorld.defaultLocation) // Send them to no mans land
				avatar.Load() // Set the avatars values
				avatar.Activate(src) // Activate them so they start working
			else
				Read(new/savefile(saveDir))

	// Player leaves the game
	Logout()
		// Spawn stops errors removing the player
		spawn() Remove_Player(name)

	Read(savefile/F)

		F["avatar"] >> avatar // Load the savefile into the avatar.
		avatar.Move_To(theWorld.defaultLocation) // Send them to no mans land
		avatar.Load() // Set the avatars values
		avatar.Activate(src) // Activate them so they start working

	Write(savefile/F)
		F["avatar"] << avatar
